> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept a workspace invitation as the signed-in matching user



## OpenAPI

````yaml /openapi/control-plane-public.json post /api/v1/workspace-invitations/{token}/accept
openapi: 3.1.0
info:
  title: AcornOps Control Plane API
  version: 0.0.1-experimental.1
  description: >-
    Control plane API for workspaces, targets, Kubernetes clusters, virtual
    machines, sessions, runs, auth, and internal execution wiring.
servers:
  - url: https://api.acornops.dev
security: []
tags:
  - name: health
    description: Health and readiness endpoints.
  - name: auth
    description: >-
      OIDC, password, browser session, and external integration account link
      endpoints.
  - name: workspaces
    description: Workspace, target, Kubernetes cluster, and VM management endpoints.
  - name: webhooks
    description: Best-effort webhook subscription and delivery history endpoints.
  - name: sessions
    description: Session and message endpoints.
  - name: runs
    description: Run query, cancel, and stream endpoints.
  - name: workflows
    description: >-
      Workspace workflow definitions, schedules, sessions, and approval inbox
      endpoints.
  - name: agents
    description: >-
      Workspace-scoped custom agent definitions, triggers, versions, tests, and
      activity.
  - name: admin
    description: Operator-only admin API protected exclusively by admin bearer tokens.
  - name: internal
    description: Internal execution endpoints for execution-engine.
paths:
  /api/v1/workspace-invitations/{token}/accept:
    post:
      tags:
        - workspaces
      summary: Accept a workspace invitation as the signed-in matching user
      parameters:
        - in: path
          name: token
          required: true
          schema:
            type: string
            example: wi_example
      responses:
        '200':
          description: Invitation accepted and membership created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceMember'
        '400':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Signed-in user email does not match the invitation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Invitation not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: >-
            User workspace-membership quota exceeded, or workspace member quota
            exceeded. Returns QUOTA_EXCEEDED with quotaKey=workspaceMemberships
            or workspaceMembers and leaves the invitation pending.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '410':
          description: Invitation expired.
        '429':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - userSession: []
components:
  schemas:
    WorkspaceMember:
      type: object
      required:
        - workspaceId
        - userId
        - role
      properties:
        workspaceId:
          type: string
          format: uuid
        userId:
          type: string
          format: uuid
        email:
          type: string
          format: email
        displayName:
          type: string
        role:
          type: string
        roleTemplate:
          $ref: '#/components/schemas/WorkspaceRoleTemplate'
        joinedAt:
          type: string
          format: date-time
      additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            retryable:
              type: boolean
            details:
              type: object
              additionalProperties: true
              description: Optional structured error details.
    WorkspaceRoleTemplate:
      type: object
      required:
        - key
        - displayName
        - kind
        - capabilities
        - capabilityGroups
        - protected
        - sortOrder
      properties:
        key:
          type: string
        displayName:
          type: string
        description:
          type: string
        kind:
          type: string
          enum:
            - system
            - custom
        capabilities:
          type: array
          items:
            type: string
        capabilityGroups:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceRoleCapabilityGroup'
        protected:
          type: boolean
        sortOrder:
          type: integer
      additionalProperties: true
    WorkspaceRoleCapabilityGroup:
      type: object
      required:
        - key
        - capabilities
        - sortOrder
      properties:
        key:
          type: string
          enum:
            - workspace
            - members
            - targets
            - operations
            - settings
        capabilities:
          type: array
          items:
            type: string
        sortOrder:
          type: integer
      additionalProperties: true
  securitySchemes:
    userSession:
      type: apiKey
      in: cookie
      name: acornops_cp_session

````